Qwt User's Guide: QwtMathMLDocument Class Reference

Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QwtMathMLDocument Class Reference

The QwtMathMLDocument class renders mathematical formulas written in MathML 2.0. More...

List of all members.

## Public Types
enum | MmlFont { NormalFont, FrakturFont, SansSerifFont, ScriptFont, MonospaceFont, DoublestruckFont }
## Public Member Functions
int | baseFontPointSize () const
void | clear ()
QString | fontName (MmlFont type) const
void | paint (QPainter *p, const QPoint &pos) const
| QwtMathMLDocument ()
void | setBaseFontPointSize (int size)
bool | setContent (QString text, QString *errorMsg=0, int *errorLine=0, int *errorColumn=0)
void | setFontName (MmlFont type, const QString &name)
QSize | size () const
| ~QwtMathMLDocument ()

## Detailed Description

The QwtMathMLDocument class renders mathematical formulas written in MathML 2.0.

## Constructor & Destructor Documentation

QwtMathMLDocument::QwtMathMLDocument | ( |  | ) |

Constructs an empty MML document.

QwtMathMLDocument::~QwtMathMLDocument | ( |  | ) |

Destroys the MML document.

## Member Function Documentation

int QwtMathMLDocument::baseFontPointSize | ( |  | ) | const

Returns the point size of the font used to render expressions whose scriptlevel is 0.

See also:
  setBaseFontPointSize() fontName() setFontName()

void QwtMathMLDocument::clear | ( |  | ) |

Clears the contents of this MML document.

QString QwtMathMLDocument::fontName | ( | QwtMathMLDocument::MmlFont | type | ) | const

Returns the name of the font used to render the font type.

See also:
  setFontName() setBaseFontPointSize() baseFontPointSize() QwtMathMLDocument::MmlFont

void QwtMathMLDocument::paint | ( | QPainter * | p,
|  | const QPoint & | pos
| ) |  | const

Renders this MML document with the painter p at position pos.

void QwtMathMLDocument::setBaseFontPointSize | ( | int | size | ) |

Sets the point size of the font used to render expressions whose scriptlevel is 0.

See also:
  baseFontPointSize() fontName() setFontName()

bool QwtMathMLDocument::setContent | ( | QString | text,
|  | QString * | errorMsg = `0`,
|  | int * | errorLine = `0`,
|  | int * | errorColumn = `0`
| ) |  |

Sets the MathML expression to be rendered. The expression is given in the string text. If the expression is successfully parsed, this method returns true; otherwise it returns false. If an error occured errorMsg is set to a diagnostic message, while errorLine and errorColumn contain the location of the error. Any of errorMsg, errorLine and errorColumn may be 0, in which case they are not set.

text should contain MathML 2.0 presentation markup elements enclosed in a <math> element.

void QwtMathMLDocument::setFontName | ( | QwtMathMLDocument::MmlFont | type,
|  | const QString & | name
| ) |  |

Sets the name of the font used to render the font type to name.

See also:
  fontName() setBaseFontPointSize() baseFontPointSize() QwtMathMLDocument::MmlFont

QSize QwtMathMLDocument::size | ( |  | ) | const

Returns the size of this MML document, as rendered, in pixels.